# $Revision: 1.6 $, $Date: 2004/11/16 21:46:06 $
%define		modulename	cluster
Summary:	Functions for clustering (by Rousseeuw et al.)
Summary(pl):	Funkcje dla klastrw (wg Rousseeuw i in.)
Name:		R-cran-%{modulename}
Version:	1.9.6
Release:	1
License:	GPL v2+
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{version}.tar.gz
# Source0-md5:	6baba1d66491f6c4fab70d9128df2ccd
# Source0-size: 174742
BuildRequires:	R-base >= 2.0.0
Requires(post,postun):	R-base >= 2.0.0
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
Requires:	R-cran-stats
Requires:	R-cran-graphics
Requires:	R-cran-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Functions for cluster analysis, originally from Peter Rousseeuw, Anja
Struyf and Mia Hubert.

%description -l pl
Funkcje do analizy klastrowej, ktrej oryginalnymi autorami byli Peter
Rousseuw, Anja Struyf i Mia Hubert.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/{DESCRIPTION,ChangeLog,DONE-MM,NAMESPACE,PORTING,README*,INDEX}
%{_libdir}/R/library/%{modulename}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: R-cran-cluster.spec,v $
Revision 1.6  2004/11/16 21:46:06  undefine
- release 1

Revision 1.5  2004/11/02 18:27:14  undefine
- change to R-cran

Revision 1.4  2004/10/13 17:35:08  qboosh
- R s/perl/perl-base/

Revision 1.3  2004/10/13 17:14:50  qboosh
- pl fix

Revision 1.2  2004/10/13 06:59:51  ankry
- spaces -> tabs

Revision 1.1  2004/10/12 17:55:49  undefine
- initital version, another base package
